Modify

Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#7160 closed defect (irreproducible)

programming error, JOSM does not send the results to the server (v4550 and v4666)

Reported by: pavel@… Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: Cc:

Description (last modified by Don-vip)

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-10-31 02:32:25
Last Changed Author: stoecker
Revision: 4550
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-10-30 22:19:50 +0100 (Sun, 30 Oct 2011)
Last Changed Rev: 4550

Identification: JOSM/1.5 (4550 ru)
Memory Usage: 149 MB / 910 MB (82 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

Dataset consistency test:
[WARN - ZERO NODES] Way {Way id=-4444 version=0 VT nodes=[]} has zero nodes


Plugin: AddrInterpolation (26731)
Plugin: Create_grid_of_ways (26731)
Plugin: Curves (17.master-d10ded7)
Plugin: FastDraw (26986)
Plugin: FixAddresses (26986)
Plugin: ImproveWayAccuracy (26986)
Plugin: RoadSigns (26731)
Plugin: SimplifyArea (26986)
Plugin: alignways (26986)
Plugin: buildings_tools (26731)
Plugin: contourmerge (1003)
Plugin: dataimport (26731)
Plugin: download_along (26731)
Plugin: imageryadjust (26928)
Plugin: michigan_left (26731)
Plugin: multipoly-convert (26928)
Plugin: openstreetbugs (26986)
Plugin: plastic_laf (26605)
Plugin: public_transport (26986)
Plugin: reltoolbox (26986)
Plugin: restart (26731)
Plugin: reverter (27091)
Plugin: routing (26986)
Plugin: tageditor (26986)
Plugin: terracer (26731)
Plugin: turnlanes (26731)
Plugin: turnrestrictions (26986)
Plugin: undelete (26928)
Plugin: utilsplugin2 (26986)
Plugin: waydownloader (26986)
Plugin: wayselector (26731)

java.lang.IndexOutOfBoundsException: Index:0 Size:0
	at org.openstreetmap.josm.tools.CopyList.rangeCheck(CopyList.java:132)
	at org.openstreetmap.josm.tools.CopyList.get(CopyList.java:59)
	at org.openstreetmap.josm.data.validation.tests.MultipolygonTest.visit(MultipolygonTest.java:122)
	at org.openstreetmap.josm.data.osm.Way.visit(Way.java:162)
	at org.openstreetmap.josm.data.validation.Test.visit(Test.java:139)
	at org.openstreetmap.josm.actions.upload.ValidateUploadHook.checkUpload(ValidateUploadHook.java:60)
	at org.openstreetmap.josm.actions.UploadAction.checkPreUploadConditions(UploadAction.java:137)
	at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:160)
	at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:203)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6268)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6033)
	at java.awt.Container.processEvent(Container.java:2045)
	at java.awt.Component.dispatchEventImpl(Component.java:4629)
	at java.awt.Container.dispatchEventImpl(Container.java:2103)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
	at java.awt.Container.dispatchEventImpl(Container.java:2089)
	at java.awt.Window.dispatchEventImpl(Window.java:2517)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-12-16 02:32:17
Last Changed Author: Don-vip
Revision: 4666
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-12-15 21:12:57 +0100 (Thu, 15 Dec 2011)
Last Changed Rev: 4666

Identification: JOSM/1.5 (4666 ru)
Memory Usage: 191 MB / 910 MB (95 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

Dataset consistency test:
[WARN - ZERO NODES] Way {Way id=-4444 version=0 VT nodes=[]} has zero nodes


Plugin: AddrInterpolation (26731)
Plugin: Create_grid_of_ways (26731)
Plugin: Curves (17.master-d10ded7)
Plugin: FastDraw (26986)
Plugin: FixAddresses (26986)
Plugin: ImproveWayAccuracy (26986)
Plugin: RoadSigns (26731)
Plugin: SimplifyArea (26986)
Plugin: alignways (26986)
Plugin: buildings_tools (26731)
Plugin: contourmerge (1003)
Plugin: dataimport (26731)
Plugin: download_along (26731)
Plugin: imageryadjust (26928)
Plugin: michigan_left (26731)
Plugin: multipoly-convert (26928)
Plugin: openstreetbugs (26986)
Plugin: plastic_laf (26605)
Plugin: public_transport (26986)
Plugin: reltoolbox (26986)
Plugin: restart (26731)
Plugin: reverter (27091)
Plugin: routing (26986)
Plugin: tageditor (26986)
Plugin: terracer (26731)
Plugin: turnlanes (26731)
Plugin: turnrestrictions (26986)
Plugin: undelete (26928)
Plugin: utilsplugin2 (26986)
Plugin: waydownloader (26986)
Plugin: wayselector (26731)

java.lang.IndexOutOfBoundsException: Index:0 Size:0
	at org.openstreetmap.josm.tools.CopyList.rangeCheck(CopyList.java:132)
	at org.openstreetmap.josm.tools.CopyList.get(CopyList.java:59)
	at org.openstreetmap.josm.data.validation.tests.MultipolygonTest.visit(MultipolygonTest.java:123)
	at org.openstreetmap.josm.data.osm.Way.visit(Way.java:162)
	at org.openstreetmap.josm.data.validation.Test.visit(Test.java:139)
	at org.openstreetmap.josm.actions.upload.ValidateUploadHook.checkUpload(ValidateUploadHook.java:60)
	at org.openstreetmap.josm.actions.UploadAction.checkPreUploadConditions(UploadAction.java:137)
	at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:160)
	at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:203)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6268)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6033)
	at java.awt.Container.processEvent(Container.java:2045)
	at java.awt.Component.dispatchEventImpl(Component.java:4629)
	at java.awt.Container.dispatchEventImpl(Container.java:2103)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
	at java.awt.Container.dispatchEventImpl(Container.java:2089)
	at java.awt.Window.dispatchEventImpl(Window.java:2517)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Attachments (0)

Change History (5)

comment:1 Changed 8 years ago by simon04

Apparently, you've got a way (id -4444) in your dataset containing 0 nodes. JOSM cannot handle these kind of ways at various places (here it fails during validation).

Can you please describe how to reproduce?

comment:2 Changed 8 years ago by Don-vip

Description: modified (diff)

comment:3 Changed 8 years ago by pavel@…

Hi! No, i can not reproduce the error. Deleted object id:-4444 and JOSM successfully passed the results to the server
Thank you

comment:4 Changed 8 years ago by simon04

Resolution: irreproducible
Status: newclosed

I'll close the ticket …

comment:5 Changed 8 years ago by skyper

Ticket #7337 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.